Create Bank
POST /obp/v7.0.0/banks
OBPv6.0.0-createBank Roles: CanCreateBank Bank
Create a new bank (Authenticated access).
The user creating this will be automatically assigned the Role CanCreateEntitlementAtOneBank. Thus the User can manage the bank they create and assign Roles to other Users.
Only SANDBOX mode (i.e. when connector=mapped in properties file)
The settlement accounts are automatically created by the system when the bank is created. Name and account id are created in accordance to the next rules:
- Incoming account (name: Default incoming settlement account, Account ID: OBP_DEFAULT_INCOMING_ACCOUNT_ID, currency: EUR)
- Outgoing account (name: Default outgoing settlement account, Account ID: OBP_DEFAULT_OUTGOING_ACCOUNT_ID, currency: EUR)
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
JSON request body fields (8)
JSON response body fields (11)
- address
- bank_code
- CGHZ
- bank_id
- gh.29.uk
- bank_routings
- bank routing in form of (scheme, address)
- full_name
- full name string
- logo
- logo url
- name
- ACCOUNT_MANAGEMENT_FEE
- scheme
- OBP
- value
- 5987953
- website
- www.openbankproject.com
- attributes
- attribute value in form of (name, value)
Example request body
{
"bank_id": "gh.29.uk",
"bank_code": "CGHZ",
"full_name": "full name string",
"logo": "logo url",
"website": "www.openbankproject.com",
"bank_routings": [
{
"scheme": "OBP",
"address": "gh.29.uk"
}
]
}Example success response
{
"bank_id": "gh.29.uk",
"bank_code": "CGHZ",
"full_name": "bank fullName string",
"logo": "bank logoUrl string",
"website": "bank logoUrl string",
"bank_routings": [
{
"scheme": "OBP",
"address": "gh.29.uk"
}
],
"attributes": [
{
"name": "ACCOUNT_MANAGEMENT_FEE",
"value": "5987953"
}
]
}Possible errors (5)
- OBP-10001: Incorrect json format.
- OBP-20001: User not logged in. Authentication is required!
- OBP-30210: Insufficient authorisation to Create Bank. You do not have the role CanCreateBank.
- OBP-50000: Unknown Error.
- OBP-20006: User is missing one or more roles: